% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotSignatures.R
\name{plotSignatures}
\alias{plotSignatures}
\title{Plots decomposed mutational signatures}
\usage{
plotSignatures(
  nmfRes = NULL,
  contributions = FALSE,
  color = NULL,
  patient_order = NULL,
  font_size = 1.2,
  show_title = TRUE,
  sig_db = "legacy",
  axis_lwd = 2,
  title_size = 0.9,
  show_barcodes = FALSE,
  yaxisLim = 0.3,
  ...
)
}
\arguments{
\item{nmfRes}{results from \code{\link{extractSignatures}}}

\item{contributions}{If TRUE plots contribution of signatures in each sample.}

\item{color}{colors for each Ti/Tv conversion class. Default NULL}

\item{patient_order}{User defined ordering of samples. Default NULL.}

\item{font_size}{font size. Default 1.2}

\item{show_title}{If TRUE compares signatures to COSMIC signatures and prints them as title}

\item{sig_db}{Only applicable if show_title is TRUE. Can be \code{legacy} or \code{SBS}. Default \code{legacy}}

\item{axis_lwd}{axis width. Default 2.}

\item{title_size}{size of title. Default 1.3}

\item{show_barcodes}{Default FALSE}

\item{yaxisLim}{Default 0.3. If NA autoscales.}

\item{...}{further plot options passed to \code{\link{barplot}}}
}
\value{
Nothing
}
\description{
Takes results from \code{\link{extractSignatures}} and plots decomposed mutational signatures as a barplot.
}
\seealso{
\code{\link{trinucleotideMatrix}} \code{\link{plotSignatures}}
}
